﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using Infragistics.Win;
using Infragistics.Win.UltraWinGrid;


namespace SupportCase_KeyMap
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            List<Rows> rows = new List<Rows>();
            rows = SampleData.CreateRows();
            this.ultraGrid1.DataSource = rows;

            this.ultraGrid1.KeyActionMappings.Add(
                new GridKeyActionMapping(
                    Keys.Down,
                    UltraGridAction.NextRow,
                    0,
                    UltraGridState.InEdit,
                    Infragistics.Win.SpecialKeys.Alt,
                    0));

            this.ultraGrid1.KeyActionMappings.Add(
                new GridKeyActionMapping(
                    Keys.Up,
                    UltraGridAction.PrevRow,
                    0,
                    UltraGridState.InEdit,
                    Infragistics.Win.SpecialKeys.Alt,
                    0));

            this.ultraGrid1.KeyActionMappings.Add(
                new GridKeyActionMapping(
                    Keys.Up,
                    UltraGridAction.ExitEditMode,
                    0,
                    UltraGridState.FirstRowInGrid,
                    Infragistics.Win.SpecialKeys.Alt,
                    0));

            this.ultraGrid1.KeyActionMappings.Add(
                new GridKeyActionMapping(
                    Keys.Down,
                    UltraGridAction.ExitEditMode,
                    0,
                    UltraGridState.LastRowInGrid,
                    Infragistics.Win.SpecialKeys.Alt,
                    0));

        }
    }
}
